/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package exercise.one;
import java.applet.Applet;
import java.awt.*;        // Using AWT's containers and components
import java.awt.event.*;
/**
 *
 * @author ardito
 */
public class AWTAccumulatorApplet extends java.applet.Applet {
    private TextField tfInput;   // The input TextField
    private int sum = 0;
    /**
     * Initializes the applet AWTAccumulatorApplet
     */
    public void init() {
        add(new Label("Enter an integer"));  // anonymous Label
 
        tfInput = new TextField(10);
        add(tfInput);
        tfInput.addActionListener((ActionListener) this);
           // Hitting enter key on tfInput invokes actionPerformed()
//        try {
//            java.awt.EventQueue.invokeAndWait(new Runnable() {
//                public void run() {
//                    initComponents();
//                }
//            });
//        } catch (Exception ex) {
//            ex.printStackTrace();
//        }
    }
    
    public void actionPerformed( ActionEvent evt) {
      int numberIn = Integer.parseInt(evt.getActionCommand());
         // getActionCommand() returns the String entered.
      sum += numberIn;
      tfInput.setText("");  // Clear input TextField
      showStatus("The accumulated sum is: " + sum);
         // show the sum on the status bar of the browser's window
    }

    /**
     * This method is called from within the init() method to initialize the
     * form. WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        setLayout(new java.awt.BorderLayout());
    }// </editor-fold>//GEN-END:initComponents


    // Variables declaration - do not modify//GEN-BEGIN:variables
    // End of variables declaration//GEN-END:variables
}
